Subject: bug#33694: closed (Re: bug#33694: 27.0.50; 'set-window-scroll-bars' broken)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Dec 2018 10:35:02 +0000

Your bug report

#33694: 27.0.50; 'set-window-scroll-bars' broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33694: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33694
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33694: 27.0.50; 'set-window-scroll-bars' broken
From: Eli Zaretskii <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 11 Dec 2018 12:33:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 11 Dec 2018 10:05:41 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > OK, but can you give me a recipe for set-window-fringes?  In my
>  > testing, the fringes are updated instantly after the call.
> 
> When on the release branch with emacs -Q I evaluate
> 
> (set-window-fringes nil 40 60)
> 
> in *scratch* I don't see any change.  After moving the cursor I do.

Thanks, I pushed the changes to the emacs-26 branch.

Subject: 27.0.50; 'set-window-scroll-bars' broken
From: martin rudalics <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Dec 2018 09:41:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This change

2015-09-30  Stefan Monnier  <[email-masked]>

	Try to avoid redisplaying all frames when creating a new one

	...

	* src/window.c (apply_window_adjustment): Remove redundant setting of
	windows_or_buffers_changed.

         ...

broke evaluating the following form with emacs -Q:

(set-window-scroll-bars nil 0 nil)

This should immediately remove the scroll bar of the selected window
but instead hides its right fringe under the scroll bar.

martin